<?php
/**
 * The template for displaying product category thumbnails within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product_cat.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

global $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 3 );

// Increase loop count
$woocommerce_loop['loop']++;
?>
<li class="product <?php
	if ( $woocommerce_loop['loop'] % $woocommerce_loop['columns'] == 0 )
		echo 'last';
	elseif ( ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] == 0 )
		echo 'first';
	?>">

	<?php do_action( 'woocommerce_before_subcategory', $category ); ?>

	<a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>">
		<div class="product-wrapper">
			<div class="product-inner">
				<?php
				/**
			 	* woocommerce_before_subcategory_title hook
			 	*
			 	* @hooked woocommerce_subcategory_thumbnail - 10
			 	*/
				do_action( 'woocommerce_before_subcategory_title', $category );
				?>
			</div>
		</div>

		<?php
			/**
			 * woocommerce_after_subcategory_title hook
			 */
			do_action( 'woocommerce_after_subcategory_title', $category );
		?>
		
		<h4>
			<?php echo $category->name; ?>
			<?php if ( $category->count > 0 ) : ?>
			(<?php echo $category->count; ?>)
			<?php endif; ?>
		</h4>
		
	</a>

	<?php do_action( 'woocommerce_after_subcategory', $category ); ?>

</li>