<?php 

// Fetch options stored in $data
global $data;
get_header('shop'); 

?>

	<?php do_action('woocommerce_before_main_content'); ?>
	
	<!-- BEGIN #content-wrapper -->
	<div id="content-wrapper" class="clearfix">

		<!-- BEGIN #main-content -->
		<div <?php echo sidebar_position('primary-content'); ?>>

			<h2 class="page-title">

				<?php if ( is_search() ) : ?>
						
				<?php printf( __( 'Search Results: &ldquo;%s&rdquo;', 'woocommerce' ), get_search_query() );
					if ( get_query_var( 'paged' ) )
						printf( __( '&nbsp;&ndash; Page %s', 'woocommerce' ), get_query_var( 'paged' ) ); ?>
						
				<?php elseif ( is_tax() ) : ?>
					<?php echo single_term_title( "", false ); ?>
						
				<?php else : ?>
					<?php
					$shop_page = get_post( woocommerce_get_page_id( 'shop' ) );
					echo apply_filters( 'the_title', ( $shop_page_title = get_option( 'woocommerce_shop_page_title' ) ) ? $shop_page_title : $shop_page->post_title );
					?>
						
				<?php endif; ?>
					
			</h2>

			<div class="shadow-wrapper margin1">
				<div class="left-shadow"></div>
				<div class="mid-shadow"></div>
				<div class="right-shadow"></div>
			</div>

			<?php do_action( 'woocommerce_archive_description' ); ?>

			<?php if ( is_tax() ) : ?>
				<?php do_action( 'woocommerce_taxonomy_archive_description' ); ?>
			<?php elseif ( ! empty( $shop_page ) && is_object( $shop_page ) ) : ?>
				<?php do_action( 'woocommerce_product_archive_description', $shop_page ); ?>
			<?php endif; ?>

			<?php if ( have_posts() ) : ?>

				<?php do_action('woocommerce_before_shop_loop'); ?>
				
				<?php if( $data['shop_columns'] ) {
					$shop_columns = $data['shop_columns'];
				} else {
					$shop_columns = '3';
				} ?>
				
				<ul class="products-<?php echo $shop_columns; ?>columns clearfix section">

					<?php woocommerce_product_subcategories(); ?>

					<?php while ( have_posts() ) : the_post(); ?>

						<?php woocommerce_get_template_part( 'content', 'product' ); ?>

					<?php endwhile; // end of the loop. ?>

				</ul>

				<?php do_action('woocommerce_after_shop_loop'); ?>

			<?php else : ?>

				<?php if ( ! woocommerce_product_subcategories( array( 'before' => '<ul class="products">', 'after' => '</ul>' ) ) ) : ?>

					<p style="margin: 0 0 30px 0;"><?php _e( 'No products found which match your selection.', 'woocommerce' ); ?></p>

				<?php endif; ?>

			<?php endif; ?>

			<div class="clear"></div>

		<?php do_action( 'woocommerce_pagination' ); ?>
				
		<!-- END #main-content -->
		</div>

		<?php get_sidebar(); ?>

	<!-- END #content-wrapper -->
	</div>
			
	<?php do_action('woocommerce_after_main_content'); ?>
	<?php do_action('woocommerce_sidebar'); ?>

<?php get_footer('shop'); ?>