<?php
/**
 * Mini-Cart
 *
 * Contains the markup for the mini-cart, used by the cart widget
 */
 
global $woocommerce;
?>
<ul class="cart_list product_list_widget <?php echo $args['list_class']; ?>">

	<?php if ( sizeof( $woocommerce->cart->get_cart() ) > 0 ) : ?>
	
		<?php foreach ( $woocommerce->cart->get_cart() as $cart_item_key => $cart_item ) : 
			
			$_product = $cart_item['data'];
			
			// Only display if allowed
			if ( ! apply_filters('woocommerce_widget_cart_item_visible', true, $cart_item, $cart_item_key ) || ! $_product->exists() || $cart_item['quantity'] == 0 ) 
				continue;
				
			// Get price
			$product_price = get_option( 'woocommerce_display_cart_prices_excluding_tax' ) == 'yes' || $woocommerce->customer->is_vat_exempt() ? $_product->get_price_excluding_tax() : $_product->get_price();
			
			$product_price = apply_filters( 'woocommerce_cart_item_price_html', woocommerce_price( $product_price ), $cart_item, $cart_item_key ); 	
			?>
			
			<li>
				<a href="<?php echo get_permalink( $cart_item['product_id'] ); ?>">
			
					<?php echo $_product->get_image(); ?>
		
					<?php echo apply_filters('woocommerce_widget_cart_product_title', $_product->get_title(), $_product ); ?>
				
				</a>
				
				<?php echo $woocommerce->cart->get_item_data( $cart_item ); ?>
				
				<span class="quantity"><?php printf( '%s &times; %s', $cart_item['quantity'], $product_price ); ?></span>
			</li>
		
		<?php endforeach; ?>
	
	<?php else : ?>
	
		<li class="empty"><?php _e('No products in the cart.', 'woocommerce'); ?></li>
							
	<?php endif; ?>
	
</ul><!-- end product list -->

<?php if ( sizeof( $woocommerce->cart->get_cart() ) > 0 ) : ?>

	<p class="total"><strong><?php _e('Subtotal', 'woocommerce'); ?>:</strong> <?php echo $woocommerce->cart->get_cart_subtotal(); ?></p>
	
	<?php do_action( 'woocommerce_widget_shopping_cart_before_buttons' ); ?>
	
	<p style="margin: 0;" class="clearfix">
		<a href="<?php echo $woocommerce->cart->get_cart_url(); ?>" class="button2" style="margin: 0 8px 0 0;"><?php _e('View Cart &rarr;', 'woocommerce'); ?></a> 
		<a href="<?php echo $woocommerce->cart->get_checkout_url(); ?>" class="button2"><?php _e('Checkout &rarr;', 'woocommerce'); ?></a>
	</p>

<?php endif; ?>